#include <stdio.h>

int main()
{
    long long n;
    scanf("%lld", &n);
    if (n==2)
    {
        int a,b,c,d;
        scanf("%d%d%d%d",&a,&b,&c,&d);
        if (a==c || b==d) printf("1");
        else printf("0");
    }
    return 0;
}